<tryton>
    <data>
        <record model="ir.ui.icon" id="derivative_icon">
            <field name="name">tradon-derivative</field>
            <field name="path">icons/tradon-derivative.svg</field>
        </record>

        <record model="ir.ui.view" id="derivative_view_tree_sequence">
            <field name="model">derivative.derivative</field>
            <field name="type">tree</field>
            <field name="name">derivative_tree_sequence</field>
            <field name="priority" eval="20"/>
        </record>
        <record model="ir.ui.view" id="derivative_view_tree">
            <field name="model">derivative.derivative</field>
            <field name="type">tree</field>
            <field name="name">derivative_tree</field>
            <field name="priority" eval="10"/>
        </record>
        <record model="ir.ui.view" id="derivative_view_form">
            <field name="model">derivative.derivative</field>
            <field name="type">form</field>
            <field name="name">derivative_form</field>
        </record>
        
        <record model="ir.action.act_window" id="act_derivative_form">
            <field name="name">Derivative</field>
            <field name="res_model">derivative.derivative</field>
        </record>
        <record model="ir.action.act_window.view" id="act_derivative_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="derivative_view_tree_sequence"/>
            <field name="act_window" ref="act_derivative_form"/>
        </record>
        <record model="ir.action.act_window.view" id="act_derivative_form_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="derivative_view_form"/>
            <field name="act_window" ref="act_derivative_form"/>
        </record>

        <record model="ir.ui.view" id="derivative_report_tree">
            <field name="model">derivative.report</field>
            <field name="type">tree</field>
            <field name="name">derivative_report_tree</field>
        </record>

        <record model="ir.ui.view" id="derivative_report_context_form">
            <field name="model">derivative.report.context</field>
            <field name="type">form</field>
            <field name="name">derivative_context_form</field>
        </record>

        <record model="ir.ui.view" id="derivative_match_start_form_view">
            <field name="model">derivative.match.start</field>
            <field name="type">form</field>
            <field name="name">derivative_match_start_form</field>
        </record>

        <record model="ir.ui.view" id="derivative_match_tree">
            <field name="model">derivative.match</field>
            <field name="type">tree</field>
            <field name="name">derivative_match_tree</field>
        </record>
        <record model="ir.ui.view" id="derivative_match_tree2">
            <field name="model">derivative.match</field>
            <field name="type">tree</field>
            <field name="name">derivative_match_tree2</field>
        </record>

        <record model="ir.action.act_window" id="act_dr_form">
            <field name="name">Derivative Report</field>
            <field name="res_model">derivative.report</field>
            <field name="context_model">derivative.report.context</field>
        </record>
        <record model="ir.action.act_window.view" id="act_dr_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="derivative_report_tree"/>
            <field name="act_window" ref="act_dr_form"/>
        </record>
        
        <record model="ir.action.wizard" id="action_derivative_match">
            <field name="name">Match Selected Positions</field>
            <field name="wiz_name">derivative.match.wizard</field>
        </record>
        <record model="ir.action.keyword" id="keyword_derivative_match">
            <field name="keyword">form_action</field>
            <field name="model">derivative.report,-1</field>
            <field name="action" ref="action_derivative_match"/>
        </record>
        
        <menuitem
            name="Derivative"
            sequence="99"
            id="menu_derivative"
            icon="tradon-derivative"/>
        <menuitem
            id="menu_derivative_report"
            parent="menu_derivative"
            sequence="20"
            action="act_dr_form"
            name="Derivative Report"/>
        <menuitem
            id="menu_derivative_der"
            parent="menu_derivative"
            sequence="10"
            action="act_derivative_form"
            name="Derivative"/>
    </data>
</tryton>